GIE Jupyter data import error

Hi!

I tried to run GIE Jupyter on my local Galaxy 21.05 instance (with Apache proxy) and got error importing data from history.

It works well on 20.01. Jupyter does not even start on 20.05, 20.09 and 21.01. Does GIE Jupyter work on recent Galaxy?

Thanks,
Yukie